# Retrieve Client Data source: https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/data-management/query-cms-to-get-particular-data/retrieve-client-data/index.md ## Test case -- Success {#test-case--success} This test case describes retrieving data stored in the CMS for a specified client. **Sample request** `GET /clients/40000/` **Sample response** `200` `ETag: "7fedf39c3c2952a62821de4b480d1d6f"` ```JSON { "amendmentDate": "2019-06-25T12:51:30Z", "amendmentOfficerId": 14300, "amendmentOfficerName": "John Smith", "clientId": 40000, "clientNumber": "ABC_5698521931", "clientType": "PR", "dateOpen": "2019-06-25", "orderDepartment": "Department", "serviceGroupCode": "021", "additionalDate01": "2021-01-27T09:59:44Z", "additionalDate02": "2021-02-15T20:58:39Z", "clientBaseAddressData": { "addressLine1": "Mrs. Alice Smith Apartment", "addressLine2": "1c 213", "addressLine3": "Derrick Street", "addressLine4": "2nd floor", "city": "Boston", "country": "USA", "postalCode": "02130", "state": "MA" }, "clientCompanyData": { "companyDepartment": "Department", "companyName": "Company", "companyTradeName": "Company Trade", "position": "Employee" }, "clientContactData": { "email": "johndoe@example.com", "fax": "0048123456789", "faxHome": "0048123456789", "phoneNumberHome": "0048123456789", "phoneNumberMobile": "0048123456789", "phoneNumberWork": "0048123456789" }, "clientIdentificationData": { "identificationDocumentDetails": "161235698529429", "identificationDocumentNumber": "161235698529328", "identificationDocumentType": "Passport", "socialNumber": "161235698529227", "taxPosition": "Tax position", "taxpayerIdentifier": "161235698529531" }, "clientPersonalData": { "birthDate": "2021-06-25", "birthName": "Doe", "birthPlace": "Warsaw", "citizenship": "USA", "firstName": "John", "gender": "M", "language": "en", "lastName": "Doe", "maritalStatus": "DS", "middleName": "Carl", "secretPhrase": "secret", "shortName": "Madley", "suffix": "PhD", "title": "MR" }, "clientExpiryDate": "2029-06-25", "embossedData": { "companyName": "COMPANY", "firstName": "JOHN", "lastName": "DOE", "title": "MR" } } ```